<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::VertexData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_vertex_data.html">VertexData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_vertex_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::VertexData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_vertex_data_8h_source.html">VertexData.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for eic::VertexData:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_vertex_data__coll__graph.png" border="0" usemap="#eic_1_1_vertex_data_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_vertex_data_coll__map" id="eic_1_1_vertex_data_coll__map">
<area shape="rect" id="node2" href="classeic_1_1_vector_x_y_z_t.html" title="eic::VectorXYZT" alt="" coords="5,5,124,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a512879552418c69b35cfb17c4e5a927c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a></td></tr>
<tr class="memdesc:a512879552418c69b35cfb17c4e5a927c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether it is the primary vertex of the event.  <a href="#a512879552418c69b35cfb17c4e5a927c">More...</a><br /></td></tr>
<tr class="separator:a512879552418c69b35cfb17c4e5a927c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a84687c9589cf01acb821943ef8f4bc"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a></td></tr>
<tr class="memdesc:a5a84687c9589cf01acb821943ef8f4bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chi squared of the vertex fit.  <a href="#a5a84687c9589cf01acb821943ef8f4bc">More...</a><br /></td></tr>
<tr class="separator:a5a84687c9589cf01acb821943ef8f4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4136c3146b768e8295a78ae54c9ed39"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a></td></tr>
<tr class="memdesc:ac4136c3146b768e8295a78ae54c9ed39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Probability of the vertex fit.  <a href="#ac4136c3146b768e8295a78ae54c9ed39">More...</a><br /></td></tr>
<tr class="separator:ac4136c3146b768e8295a78ae54c9ed39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a84393282f9a5ae3a14c67289c7836b"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a></td></tr>
<tr class="memdesc:a9a84393282f9a5ae3a14c67289c7836b"><td class="mdescLeft">&#160;</td><td class="mdescRight">postion and time of vertex.  <a href="#a9a84393282f9a5ae3a14c67289c7836b">More...</a><br /></td></tr>
<tr class="separator:a9a84393282f9a5ae3a14c67289c7836b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC vertex </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_vertex_data_8h_source.html#l00015">15</a> of file <a class="el" href="_vertex_data_8h_source.html">VertexData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a5a84687c9589cf01acb821943ef8f4bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a84687c9589cf01acb821943ef8f4bc">&#9670;&nbsp;</a></span>chi2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::VertexData::chi2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Chi squared of the vertex fit. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_data_8h_source.html#l00018">18</a> of file <a class="el" href="_vertex_data_8h_source.html">VertexData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_const_8cc_source.html#l00051">eic::ConstVertex::chi2()</a>, <a class="el" href="_vertex_8cc_source.html#l00053">eic::Vertex::chi2()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00021">eic::ConstVertex::ConstVertex()</a>, and <a class="el" href="_vertex_8cc_source.html#l00021">eic::Vertex::Vertex()</a>.</p>

</div>
</div>
<a id="a9a84393282f9a5ae3a14c67289c7836b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a84393282f9a5ae3a14c67289c7836b">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> eic::VertexData::position</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>postion and time of vertex. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_data_8h_source.html#l00020">20</a> of file <a class="el" href="_vertex_data_8h_source.html">VertexData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_const_8cc_source.html#l00021">eic::ConstVertex::ConstVertex()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00053">eic::ConstVertex::position()</a>, <a class="el" href="_vertex_8cc_source.html#l00055">eic::Vertex::position()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00057">eic::ConstVertex::t()</a>, <a class="el" href="_vertex_8cc_source.html#l00059">eic::Vertex::t()</a>, <a class="el" href="_vertex_8cc_source.html#l00021">eic::Vertex::Vertex()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00054">eic::ConstVertex::x()</a>, <a class="el" href="_vertex_8cc_source.html#l00056">eic::Vertex::x()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00055">eic::ConstVertex::y()</a>, <a class="el" href="_vertex_8cc_source.html#l00057">eic::Vertex::y()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00056">eic::ConstVertex::z()</a>, and <a class="el" href="_vertex_8cc_source.html#l00058">eic::Vertex::z()</a>.</p>

</div>
</div>
<a id="a512879552418c69b35cfb17c4e5a927c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a512879552418c69b35cfb17c4e5a927c">&#9670;&nbsp;</a></span>primary</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::VertexData::primary</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Whether it is the primary vertex of the event. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_data_8h_source.html#l00017">17</a> of file <a class="el" href="_vertex_data_8h_source.html">VertexData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_const_8cc_source.html#l00021">eic::ConstVertex::ConstVertex()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00050">eic::ConstVertex::primary()</a>, <a class="el" href="_vertex_8cc_source.html#l00052">eic::Vertex::primary()</a>, and <a class="el" href="_vertex_8cc_source.html#l00021">eic::Vertex::Vertex()</a>.</p>

</div>
</div>
<a id="ac4136c3146b768e8295a78ae54c9ed39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4136c3146b768e8295a78ae54c9ed39">&#9670;&nbsp;</a></span>probability</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::VertexData::probability</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Probability of the vertex fit. </p>

<p class="definition">Definition at line <a class="el" href="_vertex_data_8h_source.html#l00019">19</a> of file <a class="el" href="_vertex_data_8h_source.html">VertexData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_const_8cc_source.html#l00021">eic::ConstVertex::ConstVertex()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00052">eic::ConstVertex::probability()</a>, <a class="el" href="_vertex_8cc_source.html#l00054">eic::Vertex::probability()</a>, and <a class="el" href="_vertex_8cc_source.html#l00021">eic::Vertex::Vertex()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_vertex_data_8h_source.html">VertexData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
